// Code generated by https://github.com/gagliardetto/anchor-go. DO NOT EDIT.

package khronos

import ag_binary "github.com/gagliardetto/binary"

type ErrorCode ag_binary.BorshEnum

const (
	ErrorCodeSwapTokensCannotMatch ErrorCode = iota
	ErrorCodeSlippageExceeded
)

func (value ErrorCode) String() string {
	switch value {
	case ErrorCodeSwapTokensCannotMatch:
		return "SwapTokensCannotMatch"
	case ErrorCodeSlippageExceeded:
		return "SlippageExceeded"
	default:
		return ""
	}
}
